package com.zd.chemical.domain.vo;

import com.zd.chemical.domain.HxpClassifyConfig;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("化学品信息")
public class AioChemicalVo {

    /**--------------------化学品信息------------------------*/

    @ApiModelProperty(value = "化学品机柜关联ID")
    private Long joinId;

    @ApiModelProperty(value = "化学品ID")
    private Long chemicalId;

    @ApiModelProperty(value = "化学品名称")
    private String chemicalName;

    @ApiModelProperty(value = "化学品别名")
    private String anotherName;

    @ApiModelProperty(value = "化学品编号")
    private String joinNum;

    @ApiModelProperty(value = "化学品分类ID")
    private Long chemicalClassify;

    @ApiModelProperty(value = "化学品分类名称")
    private String classifyName;

    @ApiModelProperty(required = true, value = "化学品属性名称")
    private String classifyAttribute;

    @ApiModelProperty(value = "化学品形态")
    private Integer chemicalShape;

    @ApiModelProperty(value = "化学品形态名称")
    private String chemicalShapeName;

    @ApiModelProperty(value = "标签类型（1是RFID，2是二维码）")
    private Integer labelType;

    @ApiModelProperty(value = "验证方式 1=是单人验证，2是双人双卡")
    private Integer verification;

    @ApiModelProperty(value = "是否打印二维码标签（1是，0否）")
    private Integer printCode;

    @ApiModelProperty(value = "cas号")
    private String casNum;

    @ApiModelProperty(value = "生产厂家")
    private String factory;

    @ApiModelProperty(value = "纯度")
    private String purity = "无";

    @ApiModelProperty(value = "化学品规格")
    private String chemicalAmount;

    @ApiModelProperty(value = "化学品规格单位")
    private String chemicalAmountUnit;

    @ApiModelProperty(value = "过期时间")
    private String expireTime;

    @ApiModelProperty(value = "MSDS-ID")
    private Long hazardId;

    /**--------------------机柜信息------------------------*/

    @ApiModelProperty(value = "机柜ID")
    private Long cabinetId;

    @ApiModelProperty(value = "机柜编号")
    private String cabinetNum;

    @ApiModelProperty(value = "机柜名称")
    private String cabinetName;

    @ApiModelProperty(value = "实验室id")
    private Long subId;

    private String safeUserId;

    @ApiModelProperty(value = "实验室安全责任人")
    private String safeUserName;

    @ApiModelProperty(value = "机柜位置 - 实验室名称-楼栋-房间号")
    private Long cabinetPlace;

    @ApiModelProperty(value = "机柜状态（1是启用，0是停用）")
    private Integer cabinetStatus;

    @ApiModelProperty(value = "容器重量")
    private BigDecimal tare;

    @ApiModelProperty(value = "化学品操作是否需要双人验证")
    private HxpClassifyConfig classifyConfig;

    public Long getChemicalId() {
        return chemicalId;
    }

    public void setChemicalId(Long chemicalId) {
        this.chemicalId = chemicalId;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getAnotherName() {
        return anotherName;
    }

    public void setAnotherName(String anotherName) {
        this.anotherName = anotherName;
    }

    public String getJoinNum() {
        return joinNum;
    }

    public void setJoinNum(String joinNum) {
        this.joinNum = joinNum;
    }

    public Long getChemicalClassify() {
        return chemicalClassify;
    }

    public void setChemicalClassify(Long chemicalClassify) {
        this.chemicalClassify = chemicalClassify;
    }

    public Integer getChemicalShape() {
        return chemicalShape;
    }

    public void setChemicalShape(Integer chemicalShape) {
        this.chemicalShape = chemicalShape;
    }

    public Integer getLabelType() {
        return labelType;
    }

    public void setLabelType(Integer labelType) {
        this.labelType = labelType;
    }

    public Integer getVerification() {
        return verification;
    }

    public void setVerification(Integer verification) {
        this.verification = verification;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public String getPurity() {
        return purity;
    }

    public void setPurity(String purity) {
        this.purity = purity;
    }

    public String getChemicalAmount() {
        return chemicalAmount;
    }

    public void setChemicalAmount(String chemicalAmount) {
        this.chemicalAmount = chemicalAmount;
    }

    public String getChemicalAmountUnit() {
        return chemicalAmountUnit;
    }

    public void setChemicalAmountUnit(String chemicalAmountUnit) {
        this.chemicalAmountUnit = chemicalAmountUnit;
    }

    public String getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime;
    }

    public Long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(Long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public String getCabinetNum() {
        return cabinetNum;
    }

    public void setCabinetNum(String cabinetNum) {
        this.cabinetNum = cabinetNum;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public Long getCabinetPlace() {
        return cabinetPlace;
    }

    public void setCabinetPlace(Long cabinetPlace) {
        this.cabinetPlace = cabinetPlace;
    }

    public Integer getCabinetStatus() {
        return cabinetStatus;
    }

    public void setCabinetStatus(Integer cabinetStatus) {
        this.cabinetStatus = cabinetStatus;
    }

    public String getSafeUserId() {
        return safeUserId;
    }

    public void setSafeUserId(String safeUserId) {
        this.safeUserId = safeUserId;
    }

    public String getSafeUserName() {
        return safeUserName;
    }

    public void setSafeUserName(String safeUserName) {
        this.safeUserName = safeUserName;
    }

    public Long getJoinId() {
        return joinId;
    }

    public void setJoinId(Long joinId) {
        this.joinId = joinId;
    }

    public Long getHazardId() {
        return hazardId;
    }

    public void setHazardId(Long hazardId) {
        this.hazardId = hazardId;
    }

    public HxpClassifyConfig getClassifyConfig() {
        return classifyConfig;
    }

    public void setClassifyConfig(HxpClassifyConfig classifyConfig) {
        this.classifyConfig = classifyConfig;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public String getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(String classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public BigDecimal getTare() {
        return tare;
    }

    public void setTare(BigDecimal tare) {
        this.tare = tare;
    }

    public Integer getPrintCode() {
        return printCode;
    }

    public void setPrintCode(Integer printCode) {
        this.printCode = printCode;
    }

    public String getChemicalShapeName() {
        return chemicalShapeName;
    }

    public void setChemicalShapeName(String chemicalShapeName) {
        this.chemicalShapeName = chemicalShapeName;
    }
}
